#include "BhvrFlowNode_OverlapsMonitor.h"
#include "Engine/HitResult.h"

class AActor;
class UPrimitiveComponent;

void UBhvrFlowNode_OverlapsMonitor::StopMonitoring(bool bTriggerEndOverlap)
{

}

void UBhvrFlowNode_OverlapsMonitor::StartMonitoring(AActor* InOwner, FName TriggerComponentTag, bool bMonitorOnlyOnAuthority)
{

}

void UBhvrFlowNode_OverlapsMonitor::OnEndOverlap(UPrimitiveComponent* OverlappedComponent, AActor* OtherActor, UPrimitiveComponent* OtherComp, int32 OtherBodyIndex)
{

}

void UBhvrFlowNode_OverlapsMonitor::OnBeginOverlap(UPrimitiveComponent* OverlappedComp, AActor* OtherActor, UPrimitiveComponent* OtherComp, int32 OtherBodyIndex, bool bFromSweep, const FHitResult& SweepResult)
{

}

UBhvrFlowNode_OverlapsMonitor::UBhvrFlowNode_OverlapsMonitor()
{

}
